<h3><?php _e('Current Subscriptions', $this -> plugin_name); ?></h3>

<?php if (!empty($subscriber -> subscriptions)) : ?>    
    <p><?php _e('Below are your current subscriptions to our list(s).', $this -> plugin_name); ?><br/>
    <?php _e('An Active status indicates that you will receive emails on that list.', $this -> plugin_name); ?></p>
    
    <?php if (!empty($errors)) : ?>
    	<?php $this -> render('error', array('errors' => $errors), true, 'default'); ?>
    <?php endif; ?>

    <?php if (!empty($success) && $success == true) : ?>
    	<div class="ui-state-highlight ui-corner-all">
    		<p><i class="fa fa-check"></i> <?php echo $successmessage; ?></p>
    	</div>
    <?php endif; ?>

	<table>
    	<tbody>
    		<?php $intervals = $this -> get_option('intervals'); ?>
        	<?php foreach ($subscriber -> subscriptions as $subscription) : ?>
            	<tr id="currentsubscription<?php echo $subscription -> mailinglist -> id; ?>">
                	<td>
                    	<label for="mailinglists<?php echo $subscription -> mailinglist -> id; ?>"><?php echo __($subscription -> mailinglist -> title); ?></label>
                    	<?php if ($subscription -> mailinglist -> paid == "Y") : ?>
                    		<span class="wpmlcustomfieldcaption"><?php echo $Html -> currency() . '' . number_format($subscription -> mailinglist -> price, 2, '.', '') . ' ' . $intervals[$subscription -> mailinglist -> interval]; ?></span>
                    	<?php endif; ?>
                        <?php if ($subscription -> mailinglist -> paid == "Y" && $subscription -> active == "Y") : ?>
                        	<?php $expiresdate = (!empty($subscription -> mailinglist -> interval) && $subscription -> mailinglist -> interval != "once") ? $Html -> gen_date(false, strtotime($Mailinglist -> gen_expiration_date($subscriber -> id, $subscription -> mailinglist -> id))) : __('Never', $this -> plugin_name); ?>
                        	<span class="wpmlcustomfieldcaption"><?php _e('Expires:', $this -> plugin_name); ?> <strong><?php echo $expiresdate; ?></strong></span>
                        	<?php if (!empty($subscription -> mailinglist -> maxperinterval)) : ?>
                        		<span class="wpmlcustomfieldcaption"><?php echo sprintf(__('%s out of %s sent', $this -> plugin_name), $subscription -> paid_sent, $subscription -> mailinglist -> maxperinterval); ?></span>
                        	<?php endif; ?>
                        <?php endif; ?>
                    </td>
                    <td><label for="mailinglists<?php echo $subscription -> mailinglist -> id; ?>"><?php echo ($subscription -> active == "Y") ? '<span class="newsletters_success">' . __('Active', $this -> plugin_name) . '</span>' : '<span class="newsletters_error">' . __('Inactive', $this -> plugin_name) . '</span>'; ?></label></td>
                    <td>
                    	<span id="activatelink<?php echo $subscription -> mailinglist -> id; ?>">
                    	<?php if ($subscription -> active == "Y") : ?>
                        	<?php /*<a href="javascript:wpmlmanagement_activate('<?php echo $subscriber -> id; ?>','<?php echo $subscription -> mailinglist -> id; ?>','N');" onclick="if (!confirm('<?php _e('Are you sure you want to remove this subscription?', $this -> plugin_name); ?>')) { return false; }" class="<?php echo $this -> pre; ?>button activatebutton ui-button-error"><?php _e('Remove', $this -> plugin_name); ?></a>*/ ?>
                        	<a href="" class="newsletters_button ui-button-error" onclick="remove_subscription('<?php echo $subscriber -> id; ?>','<?php echo $subscription -> mailinglist -> id; ?>','N'); return false;"><?php _e('Remove', $this -> plugin_name); ?></a>
                        	<?php if (!empty($subscription -> mailinglist -> paid) && $subscription -> mailinglist -> paid == "Y") : ?>
                        		<?php $this -> paidsubscription_form($subscriber, $subscription -> mailinglist, false, "_blank", true); ?>
                        	<?php endif; ?>
                        <?php else : ?>
                        	<?php if (!empty($subscription -> mailinglist -> paid) && $subscription -> mailinglist -> paid == "Y") : ?>
                        		<?php $this -> paidsubscription_form($subscriber, $subscription -> mailinglist, false, "_blank"); ?>
                        	<?php else : ?>
                        		<a href="javascript:wpmlmanagement_activate('<?php echo $subscriber -> id; ?>','<?php echo $subscription -> mailinglist -> id; ?>','Y');" onclick="if (!confirm('<?php _e('Are you sure you want to activate this subscription?', $this -> plugin_name); ?>')) { return false; }" class="<?php echo $this -> pre; ?>button activatebutton ui-button-success"><?php _e('Activate', $this -> plugin_name); ?></a>
                        	<?php endif; ?>
                        	<?php /*<a href="javascript:wpmlmanagement_activate('<?php echo $subscriber -> id; ?>','<?php echo $subscription -> mailinglist -> id; ?>','N');" onclick="if (!confirm('<?php _e('Are you sure you want to remove this subscription?', $this -> plugin_name); ?>')) { return false; }" class="<?php echo $this -> pre; ?>button activatebutton ui-button-error"><?php _e('Remove', $this -> plugin_name); ?></a>*/ ?>
                        	<a href="" class="newsletters_button ui-button-error" onclick="remove_subscription('<?php echo $subscriber -> id; ?>','<?php echo $subscription -> mailinglist -> id; ?>','N'); return false;"><?php _e('Remove', $this -> plugin_name); ?></a>
                        <?php endif; ?>
                       	</span>
                    </td>
                </tr>
                <?php $subscribedlists[] = $subscription -> mailinglist -> id; ?>
            <?php endforeach; ?>
        </tbody>
    </table>
    
    <div style="display:none;">
	    <div id="dialog-form" title="<?php _e('Unsubscribe', $this -> plugin_name); ?>">
		    <form action="" method="" id="unsubscribe-form">
			    <p>
				    <label for="unsubscribe_comments"><?php _e('Comments (optional)', $this -> plugin_name); ?></label>
				    <textarea name="unsubscribe_comments" cols="100%" rows="4" id="unsubscribe_comments"></textarea>
			    </p>
			    
			    <input type="hidden" name="unsubscribe_subscriber_id" id="unsubscribe_subscriber_id" value="<?php echo $subscriber -> id; ?>" />
			    <input type="hidden" name="unsubscribe_list_id" id="unsubscribe_list_id" value="" />
			    <input type="hidden" name="unsubscribe_status" id="unsubscribe_status" value="N" />
		    </form>
		</div>
    </div>
    
    <script type="text/javascript"><?php $unsubscribecomments = $this -> get_option('unsubscribecomments'); ?> var unsubscribecomments = <?php echo (!empty($unsubscribecomments) && $unsubscribecomments == "Y") ? "true" : "false"; ?>; function remove_subscription(subscriber_id, list_id, status) { if (unsubscribecomments == true) { dialog.dialog('open'); jQuery('#unsubscribe_subscriber_id').val(subscriber_id); jQuery('#unsubscribe_list_id').val(list_id); jQuery('#unsubscribe_status').val("N"); } else { if (confirm('<?php echo __('Are you sure you want to remove this subscription?', $this -> plugin_name); ?>')) { wpmlmanagement_activate(subscriber_id, list_id, status); }}} jQuery(document).ready(function() { if (jQuery.isFunction(jQuery.fn.button)) { jQuery('.<?php echo $this -> pre; ?>button, .newsletters_button').button(); } dialog = jQuery( "#dialog-form" ).dialog({dialogClass:'newsletters-ui-dialog', autoOpen: false, modal: true, buttons: {'Unsubscribe': function() { unsubscribe_comments = jQuery('#unsubscribe_comments').val(); var subscriber_id = '<?php echo $subscriber -> id; ?>'; var list_id = jQuery('#unsubscribe_list_id').val(); var status = "N"; wpmlmanagement_activate(subscriber_id, list_id, status); jQuery('#unsubscribe_comments').val(""); dialog.dialog("close"); }, 'Cancel': function() { dialog.dialog("close"); } } }); });</script>
<?php else : ?>
	<div class="ui-state-error ui-corner-all">
		<p><i class="fa fa-exclamation-triangle"></i> <?php _e('You are not subscribed to any lists.', $this -> plugin_name); ?></p>
	</div>
<?php endif; ?>