<h3><?php _e('Current Subscriptions', $this -> plugin_name); ?></h3>

<?php if (!empty($subscriber -> subscriptions)) : ?>    
    <p><?php _e('Below are your current subscriptions to our list(s).', $this -> plugin_name); ?><br/>
    <?php _e('An Active status indicates that you will receive emails on that list.', $this -> plugin_name); ?></p>
    
    <?php if (!empty($errors)) : ?>
    	<?php $this -> render('error', array('errors' => $errors), true, 'default'); ?>
    <?php endif; ?>

    <?php if (!empty($success) && $success == true) : ?>
    	<div class="alert alert-success">
    		<p><i class="fa fa-check"></i> <?php echo $successmessage; ?></p>
    	</div>
    <?php endif; ?>

	<table class="table table-striped">
    	<tbody>
    		<?php $intervals = $this -> get_option('intervals'); ?>
        	<?php foreach ($subscriber -> subscriptions as $subscription) : ?>
            	<tr id="currentsubscription<?php echo $subscription -> mailinglist -> id; ?>">
                	<td>
                    	<label for="mailinglists<?php echo $subscription -> mailinglist -> id; ?>"><?php echo __($subscription -> mailinglist -> title); ?></label>
                    	<?php if ($subscription -> mailinglist -> paid == "Y") : ?>
                    		<div>
	                    		<small>
		                    		<span class="wpmlcustomfieldcaption"><?php echo $Html -> currency() . '' . number_format($subscription -> mailinglist -> price, 2, '.', '') . ' ' . $intervals[$subscription -> mailinglist -> interval]; ?></span>
			                        <?php if ($subscription -> mailinglist -> paid == "Y" && $subscription -> active == "Y") : ?>
			                        	<?php $expiresdate = (!empty($subscription -> mailinglist -> interval) && $subscription -> mailinglist -> interval != "once") ? $Html -> gen_date(false, strtotime($Mailinglist -> gen_expiration_date($subscriber -> id, $subscription -> mailinglist -> id))) : __('Never', $this -> plugin_name); ?>
			                        	<div><span class="wpmlcustomfieldcaption"><?php _e('Expires:', $this -> plugin_name); ?> <strong><?php echo $expiresdate; ?></strong></span></div>
			                        	<?php if (!empty($subscription -> mailinglist -> maxperinterval)) : ?>
			                        		<span class="wpmlcustomfieldcaption"><?php echo sprintf(__('%s out of %s sent', $this -> plugin_name), $subscription -> paid_sent, $subscription -> mailinglist -> maxperinterval); ?></span>
			                        	<?php endif; ?>
			                        <?php endif; ?>
	                    		</small>
                    		</div>
	                    <?php endif; ?>
                    </td>
                    <td><label for="mailinglists<?php echo $subscription -> mailinglist -> id; ?>"><?php echo ($subscription -> active == "Y") ? '<span class="newsletters_success">' . __('Active', $this -> plugin_name) . '</span>' : '<span class="newsletters_error">' . __('Inactive', $this -> plugin_name) . '</span>'; ?></label></td>
                    <td>
                    	<span id="activatelink<?php echo $subscription -> mailinglist -> id; ?>">
                    	<?php if ($subscription -> active == "Y") : ?>
                        	<a href="" class="newsletters_button btn btn-danger" onclick="remove_subscription('<?php echo $subscriber -> id; ?>','<?php echo $subscription -> mailinglist -> id; ?>','N'); return false;"><?php _e('Remove', $this -> plugin_name); ?></a>
                        	<?php if (!empty($subscription -> mailinglist -> paid) && $subscription -> mailinglist -> paid == "Y") : ?>
                        		<?php $this -> paidsubscription_form($subscriber, $subscription -> mailinglist, false, "_blank", true); ?>
                        	<?php endif; ?>
                        <?php else : ?>
                        	<?php if (!empty($subscription -> mailinglist -> paid) && $subscription -> mailinglist -> paid == "Y") : ?>
                        		<?php $this -> paidsubscription_form($subscriber, $subscription -> mailinglist, false, "_blank"); ?>
                        	<?php else : ?>
                        		<a href="javascript:wpmlmanagement_activate('<?php echo $subscriber -> id; ?>','<?php echo $subscription -> mailinglist -> id; ?>','Y');" onclick="if (!confirm('<?php _e('Are you sure you want to activate this subscription?', $this -> plugin_name); ?>')) { return false; }" class="<?php echo $this -> pre; ?>button activatebutton btn btn-success"><?php _e('Activate', $this -> plugin_name); ?></a>
                        	<?php endif; ?>
                        	<a href="" class="newsletters_button btn btn-danger" onclick="remove_subscription('<?php echo $subscriber -> id; ?>','<?php echo $subscription -> mailinglist -> id; ?>','N'); return false;"><?php _e('Remove', $this -> plugin_name); ?></a>
                        <?php endif; ?>
                       	</span>
                    </td>
                </tr>
                <?php $subscribedlists[] = $subscription -> mailinglist -> id; ?>
            <?php endforeach; ?>
        </tbody>
    </table>
	
	<!-- Unsubscribe Dialog -->
	<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog modal-sm">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h4 class="modal-title" id="myModalLabel"><?php _e('Confirm Unsubscribe', $this -> plugin_name); ?></h4>
				</div>
				<div class="modal-body">
					<form action="" method="" id="unsubscribe-form">
					    <p>
						    <label for="unsubscribe_comments"><?php _e('Comments (optional)', $this -> plugin_name); ?></label>
						    <textarea name="unsubscribe_comments" cols="100%" rows="4" id="unsubscribe_comments"></textarea>
					    </p>
					    
					    <input type="hidden" name="unsubscribe_subscriber_id" id="unsubscribe_subscriber_id" value="<?php echo $subscriber -> id; ?>" />
					    <input type="hidden" name="unsubscribe_list_id" id="unsubscribe_list_id" value="" />
					    <input type="hidden" name="unsubscribe_status" id="unsubscribe_status" value="N" />
				    </form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal"><?php _e('Cancel', $this -> plugin_name); ?></button>
					<button type="button" class="btn btn-danger" onclick="submit_unsubscription(); return false;"><?php _e('Unsubscribe', $this -> plugin_name); ?></button>
				</div>
			</div>
		</div>
	</div>
    
    <script type="text/javascript">
	    <?php $unsubscribecomments = $this -> get_option('unsubscribecomments'); ?> 
	    var unsubscribecomments = <?php echo (!empty($unsubscribecomments) && $unsubscribecomments == "Y") ? "true" : "false"; ?>; 
	    
	    function remove_subscription(subscriber_id, list_id, status) { 
		    if (unsubscribecomments == true) { 
		    	jQuery('#myModal').modal('show'); 
		    	jQuery('#unsubscribe_subscriber_id').val(subscriber_id); 
		    	jQuery('#unsubscribe_list_id').val(list_id); 
		    	jQuery('#unsubscribe_status').val("N"); 
		    } else { 
			    if (confirm('<?php echo __('Are you sure you want to remove this subscription?', $this -> plugin_name); ?>')) { 
				    wpmlmanagement_activate(subscriber_id, list_id, status); 
				}
			}
		}
		
		function submit_unsubscription() {
			unsubscribe_comments = jQuery('#unsubscribe_comments').val(); 
			var subscriber_id = '<?php echo $subscriber -> id; ?>'; 
			var list_id = jQuery('#unsubscribe_list_id').val(); 
			var status = "N";
			jQuery('#myModal').modal('hide');
			wpmlmanagement_activate(subscriber_id, list_id, status); 
			jQuery('#unsubscribe_comments').val(""); 
		}
	</script>
<?php else : ?>
	<div class="alert alert-danger">
		<p><i class="fa fa-exclamation-triangle"></i> <?php _e('You are not subscribed to any lists.', $this -> plugin_name); ?></p>
	</div>
<?php endif; ?>